{% if cloudstack.stack.exposed|bool %}
ingress:
  enabled: true
  annotations:
    kubernetes.io/ingress.class: "nginx"
{% if cloudstack.stack.tls|bool and 'letsencrypt' in cloudstack.stack.plugins %}
    kubernetes.io/tls-acme: "true"
    acme.cert-manager.io/http01-ingress-class: "nginx"
{% if cloudstack.plugins.letsencrypt.config.issuers.dns01.enabled|bool %}
    cert-manager.io/cluster-issuer: "cloudstack-dns01"
{% else %}
    cert-manager.io/cluster-issuer: "letsencrypt-{{ cloudstack.plugins.letsencrypt.config.environment }}"
{% endif %}
  tls: true 
  certManager: true
{% endif %}
  hostname: "{{ cloudstack.plugins.kubeapps.subdomain }}.{{ cloudstack.stack.hostname }}"
  path: "/"
  pathType: ImplementationSpecific
{% else %}
ingress:
    enabled: false
{% endif %}
